# Configuration guide: Browser behavior awareness

{% hint style="warning" %}
The configuration options on this page are only accessible to [administrators](https://docs.nexthink.com/platform/user-guide/administration/account-management/roles#roles-administration).

Refer to the [Usage guide: Browser behavior awareness](https://docs.nexthink.com/platform/library-packs/l1-support/workflow-browser-behavior-awareness/usage-guide-browser-behavior-awareness) to use library content as a standard user.
{% endhint %}

## Prerequisites <a href="#pre-requisites" id="pre-requisites"></a>

This library pack contains content from the following [expansion products](https://docs.nexthink.com/platform/overview/products):

* [Flow - Workflows](https://docs.nexthink.com/platform/user-guide/workflows)
* [Employee Engagement - Campaigns](https://docs.nexthink.com/platform/user-guide/campaigns)

{% hint style="info" %}
Some of these products offer default access to their respective content, and can still be used without the [expansion products](https://docs.nexthink.com/platform/overview/products).

Refer to the [Nexthink Infinity thresholds and limits overview](https://edocs.nexthink.com/nexthink-infinity/infinity-specifications/nexthink-infinity-default-thresholds-overview) documentation for more information about default thresholds for expansion products.
{% endhint %}

## Included content and dependencies <a href="#content-list-and-dependency" id="content-list-and-dependency"></a>

This library pack contains the following content and dependencies:

| Content type                                                                | Name                         | Description                                                                                                                                                                                                                                                               | Dependencies                                              |
| --------------------------------------------------------------------------- | ---------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------- |
| [Workflows](https://docs.nexthink.com/platform/user-guide/workflows)        | Browser behavior awareness   | The purpose of this workflow is to detect devices that have recently received a browser update (Microsoft Edge, Google Chrome, or Mozilla Firefox) and display an educational campaign about the new security prompts from these browsers (local network access request). | <ul><li>"Browser prompts notification" campaign</li></ul> |
| [Dashboards](https://docs.nexthink.com/platform/user-guide/live-dashboards) | Browser behavior awareness   | This dashboard summarizes Microsoft Edge, Google Chrome, and Mozilla Firefox browser updates, versions, and the results of the "Browser Prompts Notification" engagement campaign.                                                                                        | N/A                                                       |
| [Campaigns](https://docs.nexthink.com/platform/user-guide/campaigns)        | Browser prompts notification | The purpose of this campaign is to share an educational message about how to respond to the new "Local network access required" prompt.                                                                                                                                   | N/A                                                       |

## Configuring Workflow: Browser behavior awareness <a href="#configuration-guide" id="configuration-guide"></a>

Adapt these suggested configuration steps to edit and customize content according to your organizational needs.

Follow these steps to install and configure content:

* Before configuration - Install library pack content from [Nexthink Library](https://docs.nexthink.com/platform/user-guide/nexthink-library)
* [Step 1 - Edit campaigns](#step-2-edit-campaigns)
* [Step 2 - Maintain workflow trigger](#step-6-maintain-workflow-trigger)

### Step 1 - Edit campaigns <a href="#step-2-edit-campaigns" id="step-2-edit-campaigns"></a>

From the main menu, navigate to **Campaigns > Manage campaigns**.

For each installed campaign:

1. Customize the **sender name** and **image**.
2. Review and adjust campaign **questions**.
3. **Publish** the campaign when ready.

Nexthink recommends these settings for the license campaign:

| Name                         | Trigger  | Priority |
| ---------------------------- | -------- | -------- |
| Browser prompts notification | Workflow | Urgent   |

### Step 2 - Maintain workflow trigger <a href="#step-6-maintain-workflow-trigger" id="step-6-maintain-workflow-trigger"></a>

This workflow is designed to run on a **scheduled** basis.

1. Open the workflow from **Workflows > Manage workflows**.
2. Go to the **General** tab.
3. Enable the **Schedule** checkbox.

Use the following NQL query in your schedule to make sure the workflow targets devices with the recent browser update, which were not recently targeted by this workflow. This will avoid overwhelming users with campaigns.

This schedule is recommended for daily use.

```
devices
| include package.installations during past 1d
| where package.name in ["*google chrome*", "*chrome canary*", "*chrome beta*", "microsoft edge", "edge dev", "*edge canary*", "*edge beta*", "firefox*", "mozilla firefox*", "Firefox Developer*"]
| compute recent_browser_updates = count(),
         updated_browser = package.name.last(),
         updated_browser_version = package.version.last()
| include workflow.executions during past 7d
| where workflow.nql_id == "#browser_behavior_awareness"
| compute recent_workflow_executions = count()
| where recent_browser_updates > 0 and recent_workflow_executions == 0
| list device.name, updated_browser, updated_browser_version, recent_browser_updates, recent_workflow_executions
```

Ensure that the "Updated browser" workflow parameter is bound to the "updated\_browser" output of this query.

***

RELATED TOPICS

* [Managing workflows](https://docs.nexthink.com/platform/user-guide/workflows/managing-workflows)
* [Managing campaigns](https://docs.nexthink.com/platform/user-guide/campaigns/managing-campaigns/managing-campaigns)
* [Workflow: Browser behavior awareness](https://docs.nexthink.com/platform/library-packs/l1-support/workflow-browser-behavior-awareness)
* [Usage guide: Browser behavior awareness](https://docs.nexthink.com/platform/library-packs/l1-support/workflow-browser-behavior-awareness/usage-guide-browser-behavior-awareness)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nexthink.com/platform/library-packs/l1-support/workflow-browser-behavior-awareness/configuration-guide-browser-behavior-awareness.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
